module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={
				action_name=[[runWar]],
				action_time=0.49,
				end_frame=19,
				excutor=[[atkobj]],
				start_frame=0,
			},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={
			args={
				begin_type=[[current]],
				calc_face=true,
				ease_type=[[Linear]],
				end_relative={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=2,},
				end_type=[[end_relative]],
				excutor=[[atkobj]],
				look_at_pos=true,
				move_time=0.2,
				move_type=[[line]],
			},
			func_name=[[Move]],
			start_time=0,
		},
		[3]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[4]={
			args={sound_path=[[Magic/sound_magic_31601_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[5]={args={},func_name=[[MagcAnimStart]],start_time=0.25,},
		[6]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_316/Prefabs/316_attack1.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=0.3,
		},
		[7]={
			args={action_name=[[attack1]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.3,
		},
		[8]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=0.85,
		},
		[9]={
			args={
				alive_time=0.1,
				ease_hide_time=0.05,
				ease_show_time=0.05,
				excutor=[[vicobjs]],
				mat_path=[[Material/effect_Fresnel_zise.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=0.85,
		},
		[10]={
			args={shake_dis=0.03,shake_rate=5,shake_time=0.4,},
			func_name=[[ShakeScreen]],
			start_time=0.9,
		},
		[11]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1,
		},
		[12]={
			args={
				alive_time=0.15,
				ease_hide_time=0.05,
				ease_show_time=0,
				excutor=[[vicobjs]],
				mat_path=[[Material/effect_Fresnel_zise.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=1,
		},
		[13]={
			args={
				alive_time=0.55,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_316/Prefabs/magic_eff_31601_hit02.prefab]],
					preload=true,
				},
				excutor=[[vicobjs]],
				height=-0.3,
			},
			func_name=[[BodyEffect]],
			start_time=1.05,
		},
		[14]={
			args={
				alive_time=0.8,
				bind_type=[[pos]],
				body_pos=[[foot]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_smoketrail/Prefabs/magic_eff_smoketrail02.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0.15,
			},
			func_name=[[BodyEffect]],
			start_time=1.35,
		},
		[15]={args={},func_name=[[MagcAnimEnd]],start_time=1.9,},
		[16]={args={},func_name=[[End]],start_time=1.9,},
	},
	group_cmds={},
	magic_anim_end_time=1.9,
	magic_anim_start_time=0.25,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_316/Prefabs/316_attack1.prefab]],
		[2]=[[Effect/Magic/magic_eff_316/Prefabs/magic_eff_31601_hit02.prefab]],
		[3]=[[Effect/Magic/magic_eff_smoketrail/Prefabs/magic_eff_smoketrail02.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
